package com.ifish.service;

import java.util.Map;

import com.ifish.dto.JsonResult;
import com.ifish.dto.PageingDto;
import com.ifish.entity.Comment;
import com.ifish.entity.Ueditor;
import com.ifish.validator.PageParam;


/**
 * @author guogw
 *
 */
public interface InformationService {
	
	/**
	 * 保存评论
	 * @param comment
	 * @return
	 */
	public Object saveComment(Comment comment);
	
	/**
	 * 查询资讯信息
	 * @param ueditorId
	 * @return
	 */
	public Ueditor findUeditorById(Integer ueditorId);
	
	/**
	 * 分页获取评论
	 * @param ueditorId
	 * @param firstResult
	 * @param pageSize
	 * @return
	 */
	public Map<String, Object> findCommentsByUeditorId(Integer ueditorId,Integer firstResult,Integer pageSize);
	
	/**
	 * 分页获取资讯
	 * @param pageParam
	 * @return
	 */
	public PageingDto<?> getInformationsByPage(PageParam pageParam);
	
	
	/**
	 * 加点击数
	 * @param infoId
	 * @return
	 */
	public JsonResult<?> addClickNum(Integer infoId);
}
